Skip to main content
`Ctrl`+`K`

# MatSchurComplementGetKSP

Gets the `KSP` object that is used to solve with `A00` in the Schur complement matrix \(S = A11 - A10 ksp(A00,Ap00) A01\)

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementGetKSP(Mat S, KSP *ksp)

Not Collective

## Input Parameter

- S - matrix obtained with `MatCreateSchurComplement()` (or equivalent) and implementing the action of \( A11 - A10 ksp(A00,Ap00) A01 \)

## Output Parameter

- ksp - the linear solver object

## See Also

KSP: Linear System Solvers, `Mat`, `MatSchurComplementSetKSP()`, `MatCreateSchurComplement()`, `MatCreateNormal()`, `MatMult()`, `MatCreate()`

## Level

intermediate

## Location

src/ksp/ksp/utils/schurm/schurm.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages